package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.BisHazIdenEva;

/**
 * 危险源辨识评价 服务层
 */
public interface IBisHazIdenEvaService {

    /**
     * 查询危险源辨识评价信息
     * @param guid 查询条件
     * @return 危险源辨识评价信息
     */
    BisHazIdenEva selectBisHazIdenEvaByGuid(String guid);

    /**
     * 查询危险源辨识评价列表
     * @param bisHazIdenEva 危险源辨识评价查询条件
     * @return 危险源辨识评价集合
     */
    List<BisHazIdenEva> selectBisHazIdenEvaList(BisHazIdenEva bisHazIdenEva);

    /**
     * 新增危险源辨识评价
     * @param bisHazIdenEva 危险源辨识评价信息
     * @return 影响行数
     */
    int insertBisHazIdenEva(BisHazIdenEva bisHazIdenEva);

    /**
     * 修改危险源辨识评价
     * @param bisHazIdenEva 危险源辨识评价信息
     * @return 影响行数
     */
    int updateBisHazIdenEva(BisHazIdenEva bisHazIdenEva);

    /**
     * 删除危险源辨识评价
     * @param guid 危险源辨识评价主键
     * @return 影响行数
     */
    int deleteBisHazIdenEvaByGuid(String guid);

    /**
     * 批量删除危险源辨识评价
     * @param guids 危险源辨识评价主键数组
     * @return 影响行数
     */
    int deleteBisHazIdenEvaByGuids(String[] guids);
}
